Невозможно установить пакет openastro.org из-за отсутствия пакетов python-dateutil, python-rsvg и imagemagick

Возникли проблемы с установкой openastro в моем компьютере.

$ sudo apt-get install openastro.org [sudo] password for user: Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: openastro.org : Depends: python-dateutil but it is not installable Depends: python-rsvg but it is not installable Depends: imagemagick but it is not installable E: Unable to correct problems, you have held broken packages. 

lsb_release -a

 No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 14.04.3 LTS Release: 14.04 Codename: trusty 

uname -a

 Linux user-Lenovo-B580 3.13.0-67-generic #110-Ubuntu SMP Fri Oct 23 13:24:41 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux 

apt-cache policy openastro.org python-dateutil python-rsvg imagemagick

 openastro.org: Installed: (none) Candidate: 1.1.48-0ubuntu1~trusty Version table: 1.1.48-0ubuntu1~trusty 0 500 http://ppa.launchpad.net/pellesimon/ppa/ubuntu/ trusty/main amd64 Packages python-dateutil: Installed: (none) Candidate: (none) Version table: python-rsvg: Installed: (none) Candidate: (none) Version table: imagemagick: Installed: (none) Candidate: (none) Version table: 

сделал

 sudo add-apt-repository ppa:pellesimon/ppa sudo apt-get update sudo apt-get install openastro.org 

и до сих пор не получил решения

 $ sudo apt-get install openastro.org Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: openastro.org : Depends: python-dateutil but it is not installable Depends: python-rsvg but it is not installable Depends: imagemagick but it is not installable E: Unable to correct problems, you have held broken packages. 

Вывод политики apt-cache policy python-dateutil python-rsvg imagemagick говорит

 python-dateutil: Installed: (none) Candidate: (none) Version table: python-rsvg: Installed: (none) Candidate: (none) Version table: imagemagick: Installed: (none) Candidate: (none) Version table: 
  • Это означает, что либо этот main репозиторий не включен, либо вы никогда не запускали sudo apt-get update .

ИЛИ

  • Во время apt-get update сообщение об ошибке (которое вы указали ниже):

     W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/trusty/Release Unable to find expected entry 'universe/binary-amd64/Packages' in Release file (Wrong sources.list entry or malformed file) E: Some index files failed to download. They have been ignored, or old ones used instead. 

    и действительно вы получаете информацию

     Index of /ubuntu/dists/wily/universe/binary-amd64 [ICO] Name Last modified Size [DIR] Parent Directory - [ ] Packages.bz2 22-Oct-2015 12:48 6.4M [ ] Packages.gz 22-Oct-2015 12:48 8.3M [ ] Release 22-Oct-2015 12:48 98 

    Файл Packages отсутствует. Но в документации APT говорится:

    Затем APT импортирует список пакетов, опубликованных каждым из этих источников [… sources sources.list …]. Эта операция достигается путем загрузки Packages.xz или варианта с использованием другого метода сжатия (например, Packages.gz или .bz2) (в случае источника двоичных пакетов)

    Источник

Другие странные вещи: только репозиторий юниверсов, а иногда и репозиторий мультивселенной, имеют проблемы, и время от времени у вас возникает ошибка несоответствия «Хэш-суммы».


Вы можете установить пакеты вручную

 mkdir ~/openastro cd ~/openastro wget http://mirrors.kernel.org/ubuntu/pool/main/p/python-dateutil/python-dateutil_1.5+dfsg-1ubuntu1_all.deb wget http://mirrors.kernel.org/ubuntu/pool/main/g/gnome-python-desktop/python-rsvg_2.32.0+dfsg-3_amd64.deb wget http://mirrors.kernel.org/ubuntu/pool/main/i/imagemagick/imagemagick_6.7.7.10-6ubuntu3_amd64.deb sudo dpkg -i *.deb 

Но это трудный путь, вы должны загружать и устанавливать каждую пропущенную и не устанавливаемую зависимость таким же образом.

  1. Найдите пакет Trusty для 64-бит здесь.
  2. Загрузить с помощью wget <URL>
  3. Установить с помощью sudo dpkg -i <DEB_FILE_NAME>

Или попробуйте Tor , я подозреваю, что у вас есть проблемы с ограничениями вашего провайдера и / или страны:

 sudo apt-get install tor sudo apt-get install torsocks 

Если приведенные выше команды не работают, загрузите и установите с помощью dpkg

 wget http://mirrors.kernel.org/ubuntu/pool/universe/t/tor/tor_0.2.4.27-1build0.14.04.‌​1_amd64.deb wget http://mirrors.kernel.org/ubuntu/pool/universe/t/torsocks/torsocks_1.3-3_amd64.d‌​eb sudo dpkg -i tor*.deb 

Теперь обновите и установите

 sudo torify apt-get update sudo torify apt-get install openastro.org 

Попробуйте установить этот путь.

Просто нажмите Ctrl + Alt + T на клавиатуре, чтобы открыть терминал. Когда он откроется, запустите следующие команды:

 sudo add-apt-repository ppa:pellesimon/ppa sudo apt-get update sudo apt-get install openastro.org